Imports
ACH
>
Imports
Currently only available for Garden
These API’s are currently only available for the Garden FI. These cannot be used at any live financial institution.
openapi: 3.0.3
info:
title: Automated Clearing House (ACH) API - Imports
version: v1
description: |
Automated Clearing House (JHPlatform ACH).
contact:
name: Platform Services - ACH
url: https://www.jackhenry.com/
email: DC-Operations@jackhenry.com
servers:
- url: https://banno.com
description: Production Endpoint
security: []
components:
securitySchemes:
bearerAuth:
description: OpenIDConnect JWT Token
type: http
scheme: bearer
bearerFormat: JWT
tags:
- name: Imports
description: APIs for importing ACH files
paths:
/a/api/platform/v1/{InstitutionUniversalId}/ach/file-import:
post:
deprecated: true
operationId: ProcessACHFileImport
tags:
- Imports
summary: Process ACH file import
description: |
Import all Incoming ACH Files that are being received for the RDFI.
## Authorization
Requires ProcessACHFileImport permission set to Allow.
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- name: X-Request-ID
description: "The `X-Request-Id` is used to track and identify individual requests as they traverse various systems to enable tracing and troubleshooting. If one is not provided in the request, the API generates this ID. A new ID is generated for each service call when a request requires calls to other services. Developers and system administrators use this ID to correlate logs and monitor the flow of requests through multiple systems. \n"
in: header
required: false
schema:
type: string
format: uuid
example: 368b8d8f-5d07-4612-9523-d92fd57b0341
- name: X-Correlation-ID
description: |
The `X-Correlation-ID` header is an optional header that can be included in REST API to track and correlate related requests and responses within a distributed system. This header allows clients to assign a unique identifier to a request, which servers or middleware components can then use to track and link subsequent requests and responses that are part of the same logical operation or transaction.
in: header
required: false
schema:
type: string
format: uuid
example: 8e87d005-f99f-40ab-a4e0-811f9263f1e7
- name: X-WorkflowCorrelationId
description: |
The `X-WorkflowCorrelationId` header correlates different requests or events as part of a workflow or process. It is used to track and manage the flow of requests throughout multiple systems. When a workflow client sends multiple related requests, they can include the `X-WorkflowCorrelationId` header with the same value to indicate that these requests are part of the same workflow to support the grouping and associating the requests together, thus enabling reporting systems to identify them as a single logical unit. Additionally, this header element can assist in monitoring and troubleshooting the workflow by allowing administrators or developers to trace and analyze the flow of requests using this common identifier.
in: header
required: false
schema:
type: string
format: uuid
example: 062e61c8-1d5f-41c6-9ddb-e00f35004e60
requestBody:
description: ACH file import request
required: true
content:
multipart/form-data:
schema:
type: object
required:
- file
properties:
file:
type: string
format: binary
description: ACH file to be imported (max 2GB)
additionalProperties: false
encoding:
file:
contentType: text/plain
responses:
'202':
description: Success
headers:
X-Request-ID:
description: "The `X-Request-Id` is used to track and identify individual requests as they traverse various systems to enable tracing and troubleshooting. If one is not provided in the request, the API generates this ID. A new ID is generated for each service call when a request requires calls to other services. Developers and system administrators use this ID to correlate logs and monitor the flow of requests through multiple systems. \n"
required: false
schema:
type: string
format: uuid
example: 368b8d8f-5d07-4612-9523-d92fd57b0341
X-Correlation-ID:
description: |
The `X-Correlation-ID` header is used to correlate related requests and responses within a distributed system. This header allows clients to assign a unique identifier to a request, which servers or middleware components can then use to track and link subsequent requests and responses that are part of the same logical operation or transaction.
required: false
schema:
type: string
format: uuid
example: 8e87d005-f99f-40ab-a4e0-811f9263f1e7
X-WorkflowCorrelationId:
description: |
The `X-WorkflowCorrelationId` header correlates different requests or events as part of a workflow or process. It is used to track and manage the flow of requests throughout multiple systems. When a workflow client sends multiple related requests, they can include the `X-WorkflowCorrelationId` header with the same value to indicate that these requests are part of the same workflow to support the grouping and associating the requests together, thus enabling reporting systems to identify them as a single logical unit. Additionally, this header element can assist in monitoring and troubleshooting the workflow by allowing administrators or developers to trace and analyze the flow of requests using this common identifier.
required: false
schema:
type: string
format: uuid
example: 062e61c8-1d5f-41c6-9ddb-e00f35004e60
'400':
description: The server could not understand the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'413':
description: Request Entity Too Large - File size exceeds 2GB limit
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: general/internal-server-error
title: Internal server error
details:
- Unexpected internal server error
/a/api/jh-ach/v1/{InstitutionUniversalId}/file-import:
post:
operationId: ProcessFileImport
tags:
- Imports
summary: Process file import
description: |
Import all Incoming Files that are being received for the RDFI.
## Authorization
Requires ProcessFileImport permission set to Allow.
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- name: X-Request-ID
description: "The `X-Request-Id` is used to track and identify individual requests as they traverse various systems to enable tracing and troubleshooting. If one is not provided in the request, the API generates this ID. A new ID is generated for each service call when a request requires calls to other services. Developers and system administrators use this ID to correlate logs and monitor the flow of requests through multiple systems. \n"
in: header
required: false
schema:
type: string
format: uuid
example: 368b8d8f-5d07-4612-9523-d92fd57b0341
- name: X-Correlation-ID
description: |
The `X-Correlation-ID` header is an optional header that can be included in REST API to track and correlate related requests and responses within a distributed system. This header allows clients to assign a unique identifier to a request, which servers or middleware components can then use to track and link subsequent requests and responses that are part of the same logical operation or transaction.
in: header
required: false
schema:
type: string
format: uuid
example: 8e87d005-f99f-40ab-a4e0-811f9263f1e7
- name: X-WorkflowCorrelationId
description: |
The `X-WorkflowCorrelationId` header correlates different requests or events as part of a workflow or process. It is used to track and manage the flow of requests throughout multiple systems. When a workflow client sends multiple related requests, they can include the `X-WorkflowCorrelationId` header with the same value to indicate that these requests are part of the same workflow to support the grouping and associating the requests together, thus enabling reporting systems to identify them as a single logical unit. Additionally, this header element can assist in monitoring and troubleshooting the workflow by allowing administrators or developers to trace and analyze the flow of requests using this common identifier.
in: header
required: false
schema:
type: string
format: uuid
example: 062e61c8-1d5f-41c6-9ddb-e00f35004e60
requestBody:
description: file import request
required: true
content:
multipart/form-data:
schema:
type: object
required:
- file
properties:
file:
type: string
format: binary
description: ACH file to be imported (max 2GB)
additionalProperties: false
encoding:
file:
contentType: text/plain
responses:
'202':
description: Success
headers:
X-Request-ID:
description: "The `X-Request-Id` is used to track and identify individual requests as they traverse various systems to enable tracing and troubleshooting. If one is not provided in the request, the API generates this ID. A new ID is generated for each service call when a request requires calls to other services. Developers and system administrators use this ID to correlate logs and monitor the flow of requests through multiple systems. \n"
required: false
schema:
type: string
format: uuid
example: 368b8d8f-5d07-4612-9523-d92fd57b0341
X-Correlation-ID:
description: |
The `X-Correlation-ID` header is used to correlate related requests and responses within a distributed system. This header allows clients to assign a unique identifier to a request, which servers or middleware components can then use to track and link subsequent requests and responses that are part of the same logical operation or transaction.
required: false
schema:
type: string
format: uuid
example: 8e87d005-f99f-40ab-a4e0-811f9263f1e7
X-WorkflowCorrelationId:
description: |
The `X-WorkflowCorrelationId` header correlates different requests or events as part of a workflow or process. It is used to track and manage the flow of requests throughout multiple systems. When a workflow client sends multiple related requests, they can include the `X-WorkflowCorrelationId` header with the same value to indicate that these requests are part of the same workflow to support the grouping and associating the requests together, thus enabling reporting systems to identify them as a single logical unit. Additionally, this header element can assist in monitoring and troubleshooting the workflow by allowing administrators or developers to trace and analyze the flow of requests using this common identifier.
required: false
schema:
type: string
format: uuid
example: 062e61c8-1d5f-41c6-9ddb-e00f35004e60
'400':
description: The server could not understand the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'413':
description: Request Entity Too Large - File size exceeds 2GB limit
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: general/internal-server-error
title: Internal server error
details:
- Unexpected internal server error
/a/api/jh-ach/v1/{InstitutionUniversalId}/file-imports/search:
post:
operationId: SearchACHImportSummaries
tags:
- Imports
summary: Search ACH file import summaries
description: |
Search ACH file import summaries for the institution. Query parameters Offset and Count control paging (Offset defaults to 0, Count defaults to 100 and is capped at a maximum of 100). Request body filters are optional; an empty body is allowed.
## Authorization
Requires ViewACHEntries permission set to Allow.
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- name: offset
in: query
required: false
description: When returning a list of results, the offset determines the number of records to skip before returning the result. If the offset is not provided, the server will return the first set of records.
example: ?offset=50
schema:
type: string
default: '0'
- name: count
in: query
required: false
description: The count of records requested. The server may limit the number of records returned in a single response. If the count is not provided, the server will return a default number of records.
example: ?count=100
schema:
type: string
default: '100'
- name: X-Request-ID
description: "The `X-Request-Id` is used to track and identify individual requests as they traverse various systems to enable tracing and troubleshooting. If one is not provided in the request, the API generates this ID. A new ID is generated for each service call when a request requires calls to other services. Developers and system administrators use this ID to correlate logs and monitor the flow of requests through multiple systems. \n"
in: header
required: false
schema:
type: string
format: uuid
example: 368b8d8f-5d07-4612-9523-d92fd57b0341
- name: X-Correlation-ID
description: |
The `X-Correlation-ID` header is an optional header that can be included in REST API to track and correlate related requests and responses within a distributed system. This header allows clients to assign a unique identifier to a request, which servers or middleware components can then use to track and link subsequent requests and responses that are part of the same logical operation or transaction.
in: header
required: false
schema:
type: string
format: uuid
example: 8e87d005-f99f-40ab-a4e0-811f9263f1e7
- name: X-WorkflowCorrelationId
description: |
The `X-WorkflowCorrelationId` header correlates different requests or events as part of a workflow or process. It is used to track and manage the flow of requests throughout multiple systems. When a workflow client sends multiple related requests, they can include the `X-WorkflowCorrelationId` header with the same value to indicate that these requests are part of the same workflow to support the grouping and associating the requests together, thus enabling reporting systems to identify them as a single logical unit. Additionally, this header element can assist in monitoring and troubleshooting the workflow by allowing administrators or developers to trace and analyze the flow of requests using this common identifier.
in: header
required: false
schema:
type: string
format: uuid
example: 062e61c8-1d5f-41c6-9ddb-e00f35004e60
requestBody:
description: Optional search criteria (fileName, status, failedReason, createdDate). Empty body allowed.
required: false
content:
application/json:
schema:
type: object
description: |
Filters to search ACH file import summaries. All fields are optional.
An empty body is allowed. Offset and Count query parameters control paging (Offset defaults to 0, Count defaults to 100 and is capped at a maximum of 100).
properties:
fileName:
type: string
description: Filter by file name
nullable: true
status:
type: string
description: Filter by import status
enum:
- success
- pending
- failure
nullable: true
failedReason:
type: string
description: Filter by failure reason
nullable: true
createdDate:
type: object
description: Filter by creation date range (inclusive). Dates in yyyy-mm-dd format.
properties:
startDate:
type: string
format: date
description: Start date (inclusive)
nullable: true
endDate:
type: string
format: date
description: End date (inclusive)
nullable: true
additionalProperties: false
example:
startDate: '2024-01-01'
endDate: '2024-01-31'
additionalProperties: false
responses:
'200':
description: Success
headers:
X-Request-ID:
description: "The `X-Request-Id` is used to track and identify individual requests as they traverse various systems to enable tracing and troubleshooting. If one is not provided in the request, the API generates this ID. A new ID is generated for each service call when a request requires calls to other services. Developers and system administrators use this ID to correlate logs and monitor the flow of requests through multiple systems. \n"
required: false
schema:
type: string
format: uuid
example: 368b8d8f-5d07-4612-9523-d92fd57b0341
X-Correlation-ID:
description: |
The `X-Correlation-ID` header is used to correlate related requests and responses within a distributed system. This header allows clients to assign a unique identifier to a request, which servers or middleware components can then use to track and link subsequent requests and responses that are part of the same logical operation or transaction.
required: false
schema:
type: string
format: uuid
example: 8e87d005-f99f-40ab-a4e0-811f9263f1e7
X-WorkflowCorrelationId:
description: |
The `X-WorkflowCorrelationId` header correlates different requests or events as part of a workflow or process. It is used to track and manage the flow of requests throughout multiple systems. When a workflow client sends multiple related requests, they can include the `X-WorkflowCorrelationId` header with the same value to indicate that these requests are part of the same workflow to support the grouping and associating the requests together, thus enabling reporting systems to identify them as a single logical unit. Additionally, this header element can assist in monitoring and troubleshooting the workflow by allowing administrators or developers to trace and analyze the flow of requests using this common identifier.
required: false
schema:
type: string
format: uuid
example: 062e61c8-1d5f-41c6-9ddb-e00f35004e60
content:
application/json:
schema:
type: object
description: Response containing paged ACH file import summaries matching the search criteria.
required:
- paging
- fileImports
properties:
paging:
type: object
required:
- nextOffset
- results
properties:
nextOffset:
type: string
description: The next offset is the start position of the read pointer for pagination.
results:
type: integer
description: The number of records included in the response.
total:
type: integer
nullable: true
description: The total number of records the server has available for the request.
additionalProperties: false
fileImports:
type: array
description: List of file import summaries
items:
type: object
description: A single ACH file import summary in search results.
required:
- id
- fileName
- status
- createdAt
properties:
id:
type: string
description: Unique identifier for the import summary
fileId:
type: string
format: uuid
description: Unique identifier for the file when available
nullable: true
fileName:
type: string
description: Name of the imported file
status:
type: string
description: Import status
enum:
- success
- pending
- failure
failedReason:
type: string
description: Reason for failure when status is failure
nullable: true
createdAt:
type: string
format: date-time
description: When the import was created
createdBy:
type: string
description: User or system that created the import
nullable: true
additionalProperties: false
additionalProperties: false
'400':
description: The server could not understand the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: general/internal-server-error
title: Internal server error
details:
- Unexpected internal server error
Did this page help you?
Why was this page helpful?
Why wasn't this page helpful?
Thank you for your feedback!
Last updated Wed Feb 11 2026